Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

Samv2005

Members
  • Posts

    12
  • Joined

  • Last visited

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

Samv2005's Achievements

Tree Puncher

Tree Puncher (2/8)

0

Reputation

  1. I'm trying to convert the Expanded Origins addon (https://www.curseforge.com/minecraft/mc-mods/origins-plus) from Fabric to Forge for the Monke origin, but I'm having some trouble with it, as I know next to nothing about programming. So far, what I did was move most of the files from Expanded Origins to a forge Origins addon that I almost completely cleared out, since a good chunk of the code is identical. This kind of worked, as most of the abilities stuck around, but the main ability (grappling) won't work since it requires a few .CLASS files that aren't coded the same way forge is. After finding what I believe to be one of the main files for the grapple, I compared the files for forge Origins to the files for fabric Origins, and found that the key difference was that in the lines with "import net.minecraft.class_xxxx", the "class_xxxx" was replaced with the forge counterpart (usually entity.something, util.something, or network.something). This was also true for field_xxxx and method_xxxx. Currently, my main issue is that I can't test the changes since in order to edit the code, I had to convert it to .java, and now whenever I try to convert it back to .CLASS, it gives me this error message: I am using Eclipse IDE to edit the files. Also this is the code I am trying to convert, followed by the edited mod: mod: https://www.dropbox.com/s/5447brs1zquzebw/Expanded Origins Forge.jar?dl=0
  2. well i have solar flux for power and everything i have is centered around mystical agriculture so should i just get a different version of those mods?
  3. ok turns out 1: im an idiot and didn't scroll down in the logs folder 2: the problem was i needed a new optifine version, or something like that and 3: my fps is super low, even with optifine fast graphics, etc. Is there a way i can increase it?
  4. few things:1: for some reason now it says "the game has crashed, sorry for the inconvenience. 2: now it loads in then before the chunks load the game crashes, and 3: i don't know how to get the debug log P.S. I also tried updating forge but that didn't do anything
  5. Whenever i try to load into a world with a small mod-pack i made i get this error: "it looks like you are using an unsupported modified version of the game". Then below that i have this error: The game crashed whilst exception in server tick loop The game crashed whilst exception in server tick loop Error: java.lang.NoSuchMethodError: net.minecraft.entity.EntityLiving$SpawnPlacementType.canSpawnAt(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;)Z is there anything i can do about this? i checked and all the mods are the correct version.
×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.